Package org.eclipse.e4.ui.model.application.impl

# Class ApplicationImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl
org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl
org.eclipse.e4.ui.model.application.ui.impl.ElementContainerImpl<MWindow>
org.eclipse.e4.ui.model.application.impl.ApplicationImpl

All Implemented Interfaces:
  `MBindings`, `MBindingTableContainer`, `MHandlerContainer`, `MPartDescriptorContainer`, `MApplication`, `MApplicationElement`, `MContext`, `MElementContainer<MWindow>`, `MMenuContributions`, `MToolBarContributions`, `MTrimContributions`, `MLocalizable`, `MSnippetContainer`, `MUIElement`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`

public class ApplicationImpl extends ElementContainerImpl<MWindow> implements MApplication
An implementation of the model object 'Application'.

The following features are implemented:

- `Context`
- `Variables`
- `Properties`
- `Handlers`
- `Binding Tables`
- `Root Context`
- `Descriptors`
- `Binding Contexts`
- `Menu Contributions`
- `Tool Bar Contributions`
- `Trim Contributions`
- `Snippets`
- `Commands`
- `Addons`
- `Categories`

Since:
  1.0

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MAddon>`
`addons`
The cached value of the '`Addons`' containment reference list.
`protected org.eclipse.emf.common.util.EList<MBindingContext>`
`bindingContexts`
The cached value of the '`Binding Contexts`' reference list.
`protected org.eclipse.emf.common.util.EList<MBindingTable>`
`bindingTables`
The cached value of the '`Binding Tables`' containment reference list.
`protected org.eclipse.emf.common.util.EList<MCategory>`
`categories`
The cached value of the '`Categories`' containment reference list.
`protected org.eclipse.emf.common.util.EList<MCommand>`
`commands`
The cached value of the '`Commands`' containment reference list.
`protected IEclipseContext`
`context`
The cached value of the '`Context`' attribute.
`protected static final IEclipseContext`
`CONTEXT_EDEFAULT`
The default value of the '`Context`' attribute.
`protected org.eclipse.emf.common.util.EList<MPartDescriptor>`
`descriptors`
The cached value of the '`Descriptors`' containment reference list.
`protected Map<String,MCommand>`
`elementIdToCommandMap`
`protected org.eclipse.emf.common.util.EList<MHandler>`
`handlers`
The cached value of the '`Handlers`' containment reference list.
`protected org.eclipse.emf.common.util.EList<MMenuContribution>`
`menuContributions`
The cached value of the '`Menu Contributions`' containment reference list.
`protected org.eclipse.emf.common.util.EMap<String,String>`
`properties`
The cached value of the '`Properties`' map.
`protected org.eclipse.emf.common.util.EList<MBindingContext>`
`rootContext`
The cached value of the '`Root Context`' containment reference list.
`protected org.eclipse.emf.common.util.EList<MUIElement>`
`snippets`
The cached value of the '`Snippets`' containment reference list.
`protected org.eclipse.emf.common.util.EList<MToolBarContribution>`
`toolBarContributions`
The cached value of the '`Tool Bar Contributions`' containment reference list.
`protected org.eclipse.emf.common.util.EList<MTrimContribution>`
`trimContributions`
The cached value of the '`Trim Contributions`' containment reference list.
`protected org.eclipse.emf.common.util.EList<String>`
`variables`
The cached value of the '`Variables`' attribute list.

### Fields inherited from class org.eclipse.e4.ui.model.application.ui.impl.ElementContainerImpl

`children, selectedElement`

### Fields inherited from class org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl

`ACCESSIBILITY_PHRASE_EDEFAULT, accessibilityPhrase, CONTAINER_DATA_EDEFAULT, containerData, curSharedRef, LOCALIZED_ACCESSIBILITY_PHRASE_EDEFAULT, ON_TOP_EDEFAULT, onTop, renderer, RENDERER_EDEFAULT, TO_BE_RENDERED_EDEFAULT, toBeRendered, visible, VISIBLE_EDEFAULT, visibleWhen, widget, WIDGET_EDEFAULT`

### Fields inherited from class org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl

`CONTRIBUTOR_URI_EDEFAULT, contributorURI, ELEMENT_ID_EDEFAULT, elementId, persistedState, tags, transientData`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ApplicationImpl()`

## Method Summary

Modifier and Type
Method
Description
`int`
`eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)`
`int`
`eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object`
`eInvoke(int operationID, org.eclipse.emf.common.util.EList<?> arguments)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`List<MAddon>`
`getAddons()`
`List<MBindingContext>`
`getBindingContexts()`
`List<MBindingTable>`
`getBindingTables()`
`List<MCategory>`
`getCategories()`
`List<MWindow>`
`getChildren()`
This is specialized for the more specific element type known in this context.
`MCommand`
`getCommand(String elementId)`
`List<MCommand>`
`getCommands()`
`IEclipseContext`
`getContext()`
`List<MPartDescriptor>`
`getDescriptors()`
`List<MHandler>`
`getHandlers()`
`List<MMenuContribution>`
`getMenuContributions()`
`Map<String,String>`
`getProperties()`
`List<MBindingContext>`
`getRootContext()`
`List<MUIElement>`
`getSnippets()`
`List<MToolBarContribution>`
`getToolBarContributions()`
`List<MTrimContribution>`
`getTrimContributions()`
`List<String>`
`getVariables()`
`void`
`setContext(IEclipseContext newContext)`
`void`
`setSelectedElement(MWindow newSelectedElement)`
This is specialized for the more specific type known in this context.
`String`
`toString()`

### Methods inherited from class org.eclipse.e4.ui.model.application.ui.impl.ElementContainerImpl

`basicGetSelectedElement, eInverseAdd, getSelectedElement`

### Methods inherited from class org.eclipse.e4.ui.model.application.ui.impl.UIElementImpl

`basicGetCurSharedRef, basicSetParent, basicSetVisibleWhen, eBasicRemoveFromContainerFeature, eDerivedOperationID, getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget, updateLocalization`

### Methods inherited from class org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MElementContainer

`getSelectedElement`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eNotify`

## Field Details

### CONTEXT_EDEFAULT

protected static final IEclipseContext CONTEXT_EDEFAULT
The default value of the '`Context`' attribute.

See Also:
  - `getContext()`

### context

protected IEclipseContext context
The cached value of the '`Context`' attribute.

See Also:
  - `getContext()`

### variables

protected org.eclipse.emf.common.util.EList<String> variables
The cached value of the '`Variables`' attribute list.

See Also:
  - `getVariables()`

### properties

protected org.eclipse.emf.common.util.EMap<String,String> properties
The cached value of the '`Properties`' map.

See Also:
  - `getProperties()`

### handlers

protected org.eclipse.emf.common.util.EList<MHandler> handlers
The cached value of the '`Handlers`' containment reference list.

See Also:
  - `getHandlers()`

### bindingTables

protected org.eclipse.emf.common.util.EList<MBindingTable> bindingTables
The cached value of the '`Binding Tables`' containment reference list.

See Also:
  - `getBindingTables()`

### rootContext

protected org.eclipse.emf.common.util.EList<MBindingContext> rootContext
The cached value of the '`Root Context`' containment reference list.

See Also:
  - `getRootContext()`

### descriptors

protected org.eclipse.emf.common.util.EList<MPartDescriptor> descriptors
The cached value of the '`Descriptors`' containment reference list.

See Also:
  - `getDescriptors()`

### bindingContexts

protected org.eclipse.emf.common.util.EList<MBindingContext> bindingContexts
The cached value of the '`Binding Contexts`' reference list.

See Also:
  - `getBindingContexts()`

### menuContributions

protected org.eclipse.emf.common.util.EList<MMenuContribution> menuContributions
The cached value of the '`Menu Contributions`' containment reference list.

See Also:
  - `getMenuContributions()`

### toolBarContributions

protected org.eclipse.emf.common.util.EList<MToolBarContribution> toolBarContributions
The cached value of the '`Tool Bar Contributions`' containment reference list.

See Also:
  - `getToolBarContributions()`

### trimContributions

protected org.eclipse.emf.common.util.EList<MTrimContribution> trimContributions
The cached value of the '`Trim Contributions`' containment reference list.

See Also:
  - `getTrimContributions()`

### snippets

protected org.eclipse.emf.common.util.EList<MUIElement> snippets
The cached value of the '`Snippets`' containment reference list.

See Also:
  - `getSnippets()`

### commands

protected org.eclipse.emf.common.util.EList<MCommand> commands
The cached value of the '`Commands`' containment reference list.

See Also:
  - `getCommands()`

### addons

protected org.eclipse.emf.common.util.EList<MAddon> addons
The cached value of the '`Addons`' containment reference list.

See Also:
  - `getAddons()`

### categories

protected org.eclipse.emf.common.util.EList<MCategory> categories
The cached value of the '`Categories`' containment reference list.

See Also:
  - `getCategories()`

### elementIdToCommandMap

protected Map<String,MCommand> elementIdToCommandMap

## Constructor Details

### ApplicationImpl

protected ApplicationImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `ElementContainerImpl<MWindow>`

### getChildren

public List<MWindow> getChildren()
This is specialized for the more specific element type known in this context.

Specified by:
  `getChildren` in interface `MElementContainer<MWindow>`
Overrides:
  `getChildren` in class `ElementContainerImpl<MWindow>`
Returns:
  the value of the 'Children' containment reference list.
See Also:
  - `MUIElement.getParent()`

### setSelectedElement

public void setSelectedElement(MWindow newSelectedElement)
This is specialized for the more specific type known in this context.

Specified by:
  `setSelectedElement` in interface `MElementContainer<MWindow>`
Overrides:
  `setSelectedElement` in class `ElementContainerImpl<MWindow>`
Parameters:
  `newSelectedElement` - the new value of the 'Selected Element' reference.
See Also:
  - `MElementContainer.getSelectedElement()`

### getContext

public IEclipseContext getContext()

Specified by:
  `getContext` in interface `MContext`
Returns:
  the value of the 'Context' attribute.
See Also:
  - `MContext.setContext(IEclipseContext)`

### setContext

public void setContext(IEclipseContext newContext)

Specified by:
  `setContext` in interface `MContext`
Parameters:
  `newContext` - the new value of the 'Context' attribute.
See Also:
  - `MContext.getContext()`

### getVariables

public List<String> getVariables()

Specified by:
  `getVariables` in interface `MContext`
Returns:
  the value of the 'Variables' attribute list.

### getProperties

public Map<String,String> getProperties()

Specified by:
  `getProperties` in interface `MContext`
Returns:
  the value of the 'Properties' map.

### getHandlers

public List<MHandler> getHandlers()

Specified by:
  `getHandlers` in interface `MHandlerContainer`
Returns:
  the value of the 'Handlers' containment reference list.

### getBindingTables

public List<MBindingTable> getBindingTables()

Specified by:
  `getBindingTables` in interface `MBindingTableContainer`
Returns:
  the value of the 'Binding Tables' containment reference list.

### getRootContext

public List<MBindingContext> getRootContext()

Specified by:
  `getRootContext` in interface `MBindingTableContainer`
Returns:
  the value of the 'Root Context' containment reference list.

### getDescriptors

public List<MPartDescriptor> getDescriptors()

Specified by:
  `getDescriptors` in interface `MPartDescriptorContainer`
Returns:
  the value of the 'Descriptors' containment reference list.

### getBindingContexts

public List<MBindingContext> getBindingContexts()

Specified by:
  `getBindingContexts` in interface `MBindings`
Returns:
  the value of the 'Binding Contexts' reference list.

### getMenuContributions

public List<MMenuContribution> getMenuContributions()

Specified by:
  `getMenuContributions` in interface `MMenuContributions`
Returns:
  the value of the 'Menu Contributions' containment reference list.

### getToolBarContributions

public List<MToolBarContribution> getToolBarContributions()

Specified by:
  `getToolBarContributions` in interface `MToolBarContributions`
Returns:
  the value of the 'Tool Bar Contributions' containment reference list.

### getTrimContributions

public List<MTrimContribution> getTrimContributions()

Specified by:
  `getTrimContributions` in interface `MTrimContributions`
Returns:
  the value of the 'Trim Contributions' containment reference list.

### getSnippets

public List<MUIElement> getSnippets()

Specified by:
  `getSnippets` in interface `MSnippetContainer`
Returns:
  the value of the 'Snippets' containment reference list.

### getCommands

public List<MCommand> getCommands()

Specified by:
  `getCommands` in interface `MApplication`
Returns:
  the value of the 'Commands' containment reference list.

### getAddons

public List<MAddon> getAddons()

Specified by:
  `getAddons` in interface `MApplication`
Returns:
  the value of the 'Addons' containment reference list.

### getCategories

public List<MCategory> getCategories()

Specified by:
  `getCategories` in interface `MApplication`
Returns:
  the value of the 'Categories' containment reference list.

### getCommand

public MCommand getCommand(String elementId)

Specified by:
  `getCommand` in interface `MApplication`
Parameters:
  `elementId` - the ID of the command.
Returns:
  the model element for the command identified via the elementId or null if the element cannot be found.
Since:
  1.2

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `ElementContainerImpl<MWindow>`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ElementContainerImpl<MWindow>`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ElementContainerImpl<MWindow>`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ElementContainerImpl<MWindow>`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ElementContainerImpl<MWindow>`

### eBaseStructuralFeatureID

public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)

Specified by:
  `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eDerivedStructuralFeatureID

public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)

Specified by:
  `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInvoke

public Object eInvoke(int operationID, org.eclipse.emf.common.util.EList<?> arguments) throws InvocationTargetException

Specified by:
  `eInvoke` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eInvoke` in class `UIElementImpl`
Throws:
  `InvocationTargetException`

### toString

public String toString()

Overrides:
  `toString` in class `UIElementImpl`